
public class Class225_Sub14_Sub6 extends Class225_Sub14 {

   Interface13 anInterface13_10438;
   public int anInt10439;
   public Class518[] aClass518Array10440;
   public String aString10441;
   public Object[] anObjectArray10442;
   public int anInt10443;
   public int anInt10444;
   public int anInt10445;
   public int anInt10446;
   public int[] anIntArray10447;
   public Class423[] aClass423Array10448;
   public Class386 aClass386_10449;
   public int anInt10450;


   void method16063(RS2Buffer var1, int var2, Class518 var3, byte var4) {
      int var5 = this.aClass518Array10440.length;
      if(Class518.aClass518_6235 != var3 && var3 != Class518.aClass518_6463) {
         if(var3 == Class518.aClass518_6089) {
            Class263 var9 = (Class263)Class79.method1636(Class263.method4686((byte)-70), var1.readUnsignedByte(-700559597), (byte)34);
            switch(var9.anInt3064 * 264578487) {
            case 1:
               if(null == this.anObjectArray10442) {
                  this.anObjectArray10442 = new Object[var5];
               }

               this.anObjectArray10442[var2] = var1.readString((byte)-4).intern();
               break;
            case 2:
               if(this.anObjectArray10442 == null) {
                  this.anObjectArray10442 = new Object[var5];
               }

               var3 = Class518.aClass518_6298;
               this.anObjectArray10442[var2] = Long.valueOf(var1.method13729((byte)110));
               break;
            case 3:
               if(null == this.anIntArray10447) {
                  this.anIntArray10447 = new int[var5];
               }

               var3 = Class518.aClass518_6451;
               this.anIntArray10447[var2] = var1.readInt_(-1133623615);
               break;
            default:
               throw new RuntimeException();
            }
         } else if(Class518.aClass518_6087 != var3 && Class518.aClass518_6775 != var3) {
            if(this.anIntArray10447 == null) {
               this.anIntArray10447 = new int[var5];
            }

            if(var3.aBool7130) {
               this.anIntArray10447[var2] = var1.readInt_(-883019943);
            } else {
               this.anIntArray10447[var2] = var1.readUnsignedByte(-700559597);
            }
         } else {
            int var8 = var1.readUnsignedShort(-937710807);
            if(this.anObjectArray10442 == null) {
               this.anObjectArray10442 = new Object[var5];
            }

            this.anObjectArray10442[var2] = this.anInterface13_10438.method52(var8, 1949711144);
            if(this.anIntArray10447 == null) {
               this.anIntArray10447 = new int[var5];
            }

            this.anIntArray10447[var2] = var1.readUnsignedByte(-700559597);
         }
      } else {
         Class251 var6 = (Class251)Class79.method1636(Class251.method4479(-1294222989), var1.readUnsignedByte(-700559597), (byte)46);
         int var7 = var1.readUnsignedShort(-937710807);
         if(this.anObjectArray10442 == null) {
            this.anObjectArray10442 = new Object[var5];
         }

         this.anObjectArray10442[var2] = this.anInterface13_10438.method53(var6, var7, (byte)-112);
         if(this.anIntArray10447 == null) {
            this.anIntArray10447 = new int[var5];
         }

         this.anIntArray10447[var2] = var1.readUnsignedByte(-700559597);
      }

      this.aClass518Array10440[var2] = var3;
   }

   Class518 method16064(RS2Buffer var1, Class518[] var2, byte var3) {
      int var4 = var1.readUnsignedShort(-937710807);
      if(var4 >= 0 && var4 < var2.length) {
         Class518 var5 = var2[var4];
         return var5;
      } else {
         throw new RuntimeException("");
      }
   }

   int method16065(RS2Buffer var1) {
      var1.position = 1385214721 * (var1.buffer.length - 2);
      int var2 = var1.readUnsignedShort(-937710807);
      int var3 = var1.buffer.length - 2 - var2 - 16;
      var1.position = var3 * 1385214721;
      int var4 = var1.readInt_(-1659788464);
      this.anInt10443 = var1.readUnsignedShort(-937710807) * -1898631295;
      this.anInt10444 = var1.readUnsignedShort(-937710807) * -132524681;
      this.anInt10445 = var1.readUnsignedShort(-937710807) * -678221991;
      this.anInt10446 = var1.readUnsignedShort(-937710807) * -263890539;
      this.anInt10439 = var1.readUnsignedShort(-937710807) * -1095959547;
      this.anInt10450 = var1.readUnsignedShort(-937710807) * 2051910903;
      int var5 = var1.readUnsignedByte(-700559597);
      if(var5 > 0) {
         this.aClass423Array10448 = new Class423[var5];

         for(int var6 = 0; var6 < var5; ++var6) {
            int var7 = var1.readUnsignedShort(-937710807);
            Class423 var8 = new Class423(Class468.method7880(var7, (byte)-110));
            this.aClass423Array10448[var6] = var8;

            while(var7-- > 0) {
               int var9 = var1.readInt_(48618965);
               int var10 = var1.readInt_(-439573363);
               var8.method7206(new IntVar(var10), (long)var9);
            }
         }
      }

      var1.position = 0;
      this.aString10441 = var1.method13710(-2133043062);
      this.aClass518Array10440 = new Class518[var4];
      return var3;
   }

   int method16066(RS2Buffer var1, int var2) {
      var1.position = 1385214721 * (var1.buffer.length - 2);
      int var3 = var1.readUnsignedShort(-937710807);
      int var4 = var1.buffer.length - 2 - var3 - 16;
      var1.position = var4 * 1385214721;
      int var5 = var1.readInt_(-1035794200);
      this.anInt10443 = var1.readUnsignedShort(-937710807) * -1898631295;
      this.anInt10444 = var1.readUnsignedShort(-937710807) * -132524681;
      this.anInt10445 = var1.readUnsignedShort(-937710807) * -678221991;
      this.anInt10446 = var1.readUnsignedShort(-937710807) * -263890539;
      this.anInt10439 = var1.readUnsignedShort(-937710807) * -1095959547;
      this.anInt10450 = var1.readUnsignedShort(-937710807) * 2051910903;
      int var6 = var1.readUnsignedByte(-700559597);
      if(var6 > 0) {
         this.aClass423Array10448 = new Class423[var6];

         for(int var7 = 0; var7 < var6; ++var7) {
            int var8 = var1.readUnsignedShort(-937710807);
            Class423 var9 = new Class423(Class468.method7880(var8, (byte)-31));
            this.aClass423Array10448[var7] = var9;

            while(var8-- > 0) {
               int var10 = var1.readInt_(217042121);
               int var11 = var1.readInt_(-1119042178);
               var9.method7206(new IntVar(var11), (long)var10);
            }
         }
      }

      var1.position = 0;
      this.aString10441 = var1.method13710(-2069368515);
      this.aClass518Array10440 = new Class518[var5];
      return var4;
   }

   Class518 method16067(RS2Buffer var1, Class518[] var2) {
      int var3 = var1.readUnsignedShort(-937710807);
      if(var3 >= 0 && var3 < var2.length) {
         Class518 var4 = var2[var3];
         return var4;
      } else {
         throw new RuntimeException("");
      }
   }

   Class518 method16068(RS2Buffer var1, Class518[] var2) {
      int var3 = var1.readUnsignedShort(-937710807);
      if(var3 >= 0 && var3 < var2.length) {
         Class518 var4 = var2[var3];
         return var4;
      } else {
         throw new RuntimeException("");
      }
   }

   Class518 method16069(RS2Buffer var1, Class518[] var2) {
      int var3 = var1.readUnsignedShort(-937710807);
      if(var3 >= 0 && var3 < var2.length) {
         Class518 var4 = var2[var3];
         return var4;
      } else {
         throw new RuntimeException("");
      }
   }

   Class518 method16070(RS2Buffer var1, Class518[] var2) {
      int var3 = var1.readUnsignedShort(-937710807);
      if(var3 >= 0 && var3 < var2.length) {
         Class518 var4 = var2[var3];
         return var4;
      } else {
         throw new RuntimeException("");
      }
   }

   int method16071(RS2Buffer var1) {
      var1.position = 1385214721 * (var1.buffer.length - 2);
      int var2 = var1.readUnsignedShort(-937710807);
      int var3 = var1.buffer.length - 2 - var2 - 16;
      var1.position = var3 * 1385214721;
      int var4 = var1.readInt_(1340036683);
      this.anInt10443 = var1.readUnsignedShort(-937710807) * -1898631295;
      this.anInt10444 = var1.readUnsignedShort(-937710807) * -132524681;
      this.anInt10445 = var1.readUnsignedShort(-937710807) * -678221991;
      this.anInt10446 = var1.readUnsignedShort(-937710807) * -263890539;
      this.anInt10439 = var1.readUnsignedShort(-937710807) * -1095959547;
      this.anInt10450 = var1.readUnsignedShort(-937710807) * 2051910903;
      int var5 = var1.readUnsignedByte(-700559597);
      if(var5 > 0) {
         this.aClass423Array10448 = new Class423[var5];

         for(int var6 = 0; var6 < var5; ++var6) {
            int var7 = var1.readUnsignedShort(-937710807);
            Class423 var8 = new Class423(Class468.method7880(var7, (byte)-97));
            this.aClass423Array10448[var6] = var8;

            while(var7-- > 0) {
               int var9 = var1.readInt_(-2009426422);
               int var10 = var1.readInt_(-914567545);
               var8.method7206(new IntVar(var10), (long)var9);
            }
         }
      }

      var1.position = 0;
      this.aString10441 = var1.method13710(-2103751704);
      this.aClass518Array10440 = new Class518[var4];
      return var3;
   }

   void method16072(RS2Buffer var1, int var2, Class518 var3) {
      int var4 = this.aClass518Array10440.length;
      if(Class518.aClass518_6235 != var3 && var3 != Class518.aClass518_6463) {
         if(var3 == Class518.aClass518_6089) {
            Class263 var7 = (Class263)Class79.method1636(Class263.method4686((byte)-12), var1.readUnsignedByte(-700559597), (byte)-27);
            switch(var7.anInt3064 * 264578487) {
            case 1:
               if(null == this.anObjectArray10442) {
                  this.anObjectArray10442 = new Object[var4];
               }

               this.anObjectArray10442[var2] = var1.readString((byte)-2).intern();
               break;
            case 2:
               if(this.anObjectArray10442 == null) {
                  this.anObjectArray10442 = new Object[var4];
               }

               var3 = Class518.aClass518_6298;
               this.anObjectArray10442[var2] = Long.valueOf(var1.method13729((byte)108));
               break;
            case 3:
               if(null == this.anIntArray10447) {
                  this.anIntArray10447 = new int[var4];
               }

               var3 = Class518.aClass518_6451;
               this.anIntArray10447[var2] = var1.readInt_(60233521);
               break;
            default:
               throw new RuntimeException();
            }
         } else if(Class518.aClass518_6087 != var3 && Class518.aClass518_6775 != var3) {
            if(this.anIntArray10447 == null) {
               this.anIntArray10447 = new int[var4];
            }

            if(var3.aBool7130) {
               this.anIntArray10447[var2] = var1.readInt_(1502246696);
            } else {
               this.anIntArray10447[var2] = var1.readUnsignedByte(-700559597);
            }
         } else {
            int var8 = var1.readUnsignedShort(-937710807);
            if(this.anObjectArray10442 == null) {
               this.anObjectArray10442 = new Object[var4];
            }

            this.anObjectArray10442[var2] = this.anInterface13_10438.method52(var8, 1797127042);
            if(this.anIntArray10447 == null) {
               this.anIntArray10447 = new int[var4];
            }

            this.anIntArray10447[var2] = var1.readUnsignedByte(-700559597);
         }
      } else {
         Class251 var5 = (Class251)Class79.method1636(Class251.method4479(-1294222989), var1.readUnsignedByte(-700559597), (byte)-43);
         int var6 = var1.readUnsignedShort(-937710807);
         if(this.anObjectArray10442 == null) {
            this.anObjectArray10442 = new Object[var4];
         }

         this.anObjectArray10442[var2] = this.anInterface13_10438.method53(var5, var6, (byte)-61);
         if(this.anIntArray10447 == null) {
            this.anIntArray10447 = new int[var4];
         }

         this.anIntArray10447[var2] = var1.readUnsignedByte(-700559597);
      }

      this.aClass518Array10440[var2] = var3;
   }

   void method16073(RS2Buffer var1, int var2, Class518 var3) {
      int var4 = this.aClass518Array10440.length;
      if(Class518.aClass518_6235 != var3 && var3 != Class518.aClass518_6463) {
         if(var3 == Class518.aClass518_6089) {
            Class263 var7 = (Class263)Class79.method1636(Class263.method4686((byte)-29), var1.readUnsignedByte(-700559597), (byte)-118);
            switch(var7.anInt3064 * 264578487) {
            case 1:
               if(null == this.anObjectArray10442) {
                  this.anObjectArray10442 = new Object[var4];
               }

               this.anObjectArray10442[var2] = var1.readString((byte)69).intern();
               break;
            case 2:
               if(this.anObjectArray10442 == null) {
                  this.anObjectArray10442 = new Object[var4];
               }

               var3 = Class518.aClass518_6298;
               this.anObjectArray10442[var2] = Long.valueOf(var1.method13729((byte)6));
               break;
            case 3:
               if(null == this.anIntArray10447) {
                  this.anIntArray10447 = new int[var4];
               }

               var3 = Class518.aClass518_6451;
               this.anIntArray10447[var2] = var1.readInt_(-1857601533);
               break;
            default:
               throw new RuntimeException();
            }
         } else if(Class518.aClass518_6087 != var3 && Class518.aClass518_6775 != var3) {
            if(this.anIntArray10447 == null) {
               this.anIntArray10447 = new int[var4];
            }

            if(var3.aBool7130) {
               this.anIntArray10447[var2] = var1.readInt_(-16749333);
            } else {
               this.anIntArray10447[var2] = var1.readUnsignedByte(-700559597);
            }
         } else {
            int var8 = var1.readUnsignedShort(-937710807);
            if(this.anObjectArray10442 == null) {
               this.anObjectArray10442 = new Object[var4];
            }

            this.anObjectArray10442[var2] = this.anInterface13_10438.method52(var8, 2054421898);
            if(this.anIntArray10447 == null) {
               this.anIntArray10447 = new int[var4];
            }

            this.anIntArray10447[var2] = var1.readUnsignedByte(-700559597);
         }
      } else {
         Class251 var5 = (Class251)Class79.method1636(Class251.method4479(-1294222989), var1.readUnsignedByte(-700559597), (byte)64);
         int var6 = var1.readUnsignedShort(-937710807);
         if(this.anObjectArray10442 == null) {
            this.anObjectArray10442 = new Object[var4];
         }

         this.anObjectArray10442[var2] = this.anInterface13_10438.method53(var5, var6, (byte)20);
         if(this.anIntArray10447 == null) {
            this.anIntArray10447 = new int[var4];
         }

         this.anIntArray10447[var2] = var1.readUnsignedByte(-700559597);
      }

      this.aClass518Array10440[var2] = var3;
   }

   void method16074(RS2Buffer var1, int var2, Class518 var3) {
      int var4 = this.aClass518Array10440.length;
      if(Class518.aClass518_6235 != var3 && var3 != Class518.aClass518_6463) {
         if(var3 == Class518.aClass518_6089) {
            Class263 var7 = (Class263)Class79.method1636(Class263.method4686((byte)-22), var1.readUnsignedByte(-700559597), (byte)44);
            switch(var7.anInt3064 * 264578487) {
            case 1:
               if(null == this.anObjectArray10442) {
                  this.anObjectArray10442 = new Object[var4];
               }

               this.anObjectArray10442[var2] = var1.readString((byte)-12).intern();
               break;
            case 2:
               if(this.anObjectArray10442 == null) {
                  this.anObjectArray10442 = new Object[var4];
               }

               var3 = Class518.aClass518_6298;
               this.anObjectArray10442[var2] = Long.valueOf(var1.method13729((byte)86));
               break;
            case 3:
               if(null == this.anIntArray10447) {
                  this.anIntArray10447 = new int[var4];
               }

               var3 = Class518.aClass518_6451;
               this.anIntArray10447[var2] = var1.readInt_(-490197710);
               break;
            default:
               throw new RuntimeException();
            }
         } else if(Class518.aClass518_6087 != var3 && Class518.aClass518_6775 != var3) {
            if(this.anIntArray10447 == null) {
               this.anIntArray10447 = new int[var4];
            }

            if(var3.aBool7130) {
               this.anIntArray10447[var2] = var1.readInt_(-1978476414);
            } else {
               this.anIntArray10447[var2] = var1.readUnsignedByte(-700559597);
            }
         } else {
            int var8 = var1.readUnsignedShort(-937710807);
            if(this.anObjectArray10442 == null) {
               this.anObjectArray10442 = new Object[var4];
            }

            this.anObjectArray10442[var2] = this.anInterface13_10438.method52(var8, 2003916374);
            if(this.anIntArray10447 == null) {
               this.anIntArray10447 = new int[var4];
            }

            this.anIntArray10447[var2] = var1.readUnsignedByte(-700559597);
         }
      } else {
         Class251 var5 = (Class251)Class79.method1636(Class251.method4479(-1294222989), var1.readUnsignedByte(-700559597), (byte)-66);
         int var6 = var1.readUnsignedShort(-937710807);
         if(this.anObjectArray10442 == null) {
            this.anObjectArray10442 = new Object[var4];
         }

         this.anObjectArray10442[var2] = this.anInterface13_10438.method53(var5, var6, (byte)-2);
         if(this.anIntArray10447 == null) {
            this.anIntArray10447 = new int[var4];
         }

         this.anIntArray10447[var2] = var1.readUnsignedByte(-700559597);
      }

      this.aClass518Array10440[var2] = var3;
   }

   public Class225_Sub14_Sub6(RS2Buffer var1, Interface13 var2) {
      this.anInterface13_10438 = var2;
      int var3 = this.method16066(var1, -2019836778);
      int var4 = 0;

      for(Class518[] var5 = Class204.method3462(-566055602); -543666943 * var1.position < var3; ++var4) {
         Class518 var6 = this.method16064(var1, var5, (byte)113);
         this.method16063(var1, var4, var6, (byte)0);
      }

   }
}
